# Get snapshot information **GET /_cat/snapshots/{repository}** **All methods and paths for this operation:**
GET /_cat/snapshots
GET /_cat/snapshots/{repository}
Get information about the snapshots stored in one or more repositories. A snapshot is a backup of an index or running Elasticsearch cluster. IMPORTANT: cat APIs are only intended for human consumption using the command line or Kibana console. They are not intended for use by applications. For application consumption, use the get snapshot API. ## Required authorization * Cluster privileges: `monitor_snapshot` ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Api key auth - Basic auth - Bearer auth ## Parameters ### Path parameters - **repository** (string | array[string]) A comma-separated list of snapshot repositories used to limit the request. Accepts wildcard expressions. `_all` returns all repositories. If any repository fails during the request, Elasticsearch returns an error. ### Query parameters - **ignore_unavailable** (boolean) If `true`, the response does not include information from unavailable snapshots. - **h** (string | array[string]) A comma-separated list of columns names to display. It supports simple wildcards. Supported values include: - `id` (or `snapshot`): The ID of the snapshot, such as 'snap1'. - `repository` (or `re`, `repo`): The name of the repository, such as 'repo1'. - `status` (or `s`): State of the snapshot process. Returned values are: 'FAILED': The snapshot process failed. 'INCOMPATIBLE': The snapshot process is incompatible with the current cluster version. 'IN_PROGRESS': The snapshot process started but has not completed. 'PARTIAL': The snapshot process completed with a partial success. 'SUCCESS': The snapshot process completed with a full success. - `start_epoch` (or `ste`, `startEpoch`): The [unix epoch time](https://en.wikipedia.org/wiki/Unix_time) at which the snapshot process started. - `start_time` (or `sti`, `startTime`): 'HH:MM:SS' time at which the snapshot process started. - `end_epoch` (or `ete`, `endEpoch`): The [unix epoch time](https://en.wikipedia.org/wiki/Unix_time) at which the snapshot process ended. - `end_time` (or `eti`, `endTime`): 'HH:MM:SS' time at which the snapshot process ended. - `duration` (or `dur`): The time it took the snapshot process to complete in [time units](https://www.elastic.co/docs/reference/elasticsearch/rest-apis/api-conventions#time-units). - `indices` (or `i`): The number of indices in the snapshot. - `successful_shards` (or `ss`): The number of successful shards in the snapshot. - `failed_shards` (or `fs`): The number of failed shards in the snapshot. - `total_shards` (or `ts`): The total number of shards in the snapshot. - `reason` (or `r`): The reason for any snapshot failures. - **s** (string | array[string]) List of columns that determine how the table should be sorted. Sorting defaults to ascending and can be changed by setting `:asc` or `:desc` as a suffix to the column name. - **master_timeout** (string) Period to wait for a connection to the master node. ## Responses ### 200 #### Body: application/json (array[object]) - **id** (string) The unique identifier for the snapshot. - **repository** (string) The repository name. - **status** (string) The state of the snapshot process. Returned values include: `FAILED`: The snapshot process failed. `INCOMPATIBLE`: The snapshot process is incompatible with the current cluster version. `IN_PROGRESS`: The snapshot process started but has not completed. `PARTIAL`: The snapshot process completed with a partial success. `SUCCESS`: The snapshot process completed with a full success. - **start_epoch** (number | string) The Unix epoch time (seconds since 1970-01-01 00:00:00) at which the snapshot process started. - **start_time** (string | object) The time (HH:MM:SS) at which the snapshot process started. - **end_epoch** (number | string) The Unix epoch time (seconds since 1970-01-01 00:00:00) at which the snapshot process ended. - **end_time** (string) The time (HH:MM:SS) at which the snapshot process ended. - **duration** (string) The time it took the snapshot process to complete, in time units. - **indices** (string) The number of indices in the snapshot. - **successful_shards** (string) The number of successful shards in the snapshot. - **failed_shards** (string) The number of failed shards in the snapshot. - **total_shards** (string) The total number of shards in the snapshot. - **reason** (string) The reason for any snapshot failures. [Powered by Bump.sh](https://bump.sh)